{pkgs, ...}: {
  home.packages = with pkgs; [
    vscode
    libreoffice
  ];

  programs.vscode = {
    enable = true;
    extensions = with pkgs.vscode-extensions; [
      ms-vscode.live-server
      ms-dotnettools.csharp
      ms-dotnettools.csdevkit
      ms-dotnettools.vscode-dotnet-runtime
      ms-dotnettools.vscodeintellicode-csharp
      csharpier.csharpier-vscode
    ];
    userSettings = {
      "godot.csharp.executablePath" = "${pkgs.godot_4-mono}/bin/godot4-mono";
    };
  };
}
